İçerikler

# Seek Statement

Aç deyimi ile açılmış bir dosyada bir sonraki yazma ve okuma için konumu ayarlar.

Rastgele erişilen dosyalar için Ara deyimi erişilecek sonraki kayıt sayısını ayarlar.

Tüm diğer dosyalar için, Ara deyimi sonraki işlemin oluşacağı bayt konumunu ayarlar.

### Sözdizimi:

    Seek [#]filePos, {filePos|recordNum}

## Parameters:

fileNum: The data channel number used in the Open statement.

filePos, recordNum: Position for the next writing or reading. Position can be a number between 1 and 2,147,483,647. According to the file type, the position indicates the number of the record (files in the Random mode) or the byte position (files in the Binary, Output, Append or Input mode). The first byte in a file is position 1, the second byte is position 2, and so on.

### Hata kodları:

5 Geçersiz yordam çağrısı

52 Geçersiz dosya adı veya numarası

İlgili Konular

Open Statement

Seek function